/*--------------------------------------------

  main.h

  Headerfile of main.cpp

----------------------------------------------*/

#ifndef _MAIN_H_
#define _MAIN_H_

//
// Function prototypes.
//
LRESULT CALLBACK WindowProc( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam );
int UpdateFrame( void );
int DDInit( HWND hWnd );
void DDRestore( void );
void DDCleanUp( void );

//
// Externals.
//
extern LPDIRECTDRAWSURFACE7		osLogo;
extern LPDIRECTDRAWSURFACE7		osBackground;
extern LPDIRECTDRAWSURFACE7		osWork;
extern DWORD					g_dwBltType;
extern DWORD					g_dwMode;
extern RECT						g_rcLogo;
extern bool						g_gActive;
extern bool						g_gIsMMX;
extern HFONT					g_hFont;

#endif // _MAIN_H_