/*-------------------------------

  cpu.h

  Header file of cpu.cpp

  -------------------------------*/

#ifndef _CPU_H_
#define _CPU_H_

//
// Includes.
//
#include <windows.h>


//
// Predefined return values for GetCpuCaps().
//
#define CPU_FEATURE_MMX		0x00800000
#define CPU_FEATURE_RDTSC	0x00000010
#define CPU_FEATURE_3DNOW	0x80000000


//
// Function prototypes.
//
int GetCPUSpeed( void );
DWORD GetCPUCaps( void );

#endif // _CPU_H_